/*
Theme Name: Divi Child
Theme URI: http://www.elegantthemes.com/gallery/divi/
Template: Divi
Author: Elegant Themes
Author URI: http://www.elegantthemes.com
Description: Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
Version: 4.21.1.1689972651
Updated: 2023-07-21 20:50:51


*/

/* HEADER START */
/* change hamburger icon to x when mobile menu is open */
#et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before,
.et_pb_module.et_pb_menu .et_mobile_nav_menu .mobile_nav.opened .mobile_menu_bar::before {
	content: '\4d';
}

/* adjust the new toggle element which is added via jQuery */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle {
	width: 44px;
	height: 100%;
	padding: 0px !important;
	max-height: 44px;
	border: none;
	position: absolute;
	right: 0px;
	top: 0px;
	z-index: 999;
	background-color: transparent;
}

/* some code to keep everyting positioned properly */
ul.et_mobile_menu>li.menu-item-has-children,
ul.et_mobile_menu>li.page_item_has_children,
ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children {
	position: relative;
}

/* remove default background color from menu items that have children */
@media (max-width: 980px) {
  .et_mobile_menu .menu-item-has-children>a,
  .et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children>a {
    background-color: transparent;
  }
	
	.et_mobile_menu .menu-item-has-children>a {
		font-weight: inherit;
	}
	
  .et_mobile_menu li a:hover,
  .nav ul li a:hover {
      background-color: transparent;
      opacity: 1;
  }
}

/* hide the submenu by default */
ul.et_mobile_menu .menu-item-has-children .sub-menu,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu {
	display: none !important;
	visibility: hidden !important;
}

/* show the submenu when toggled open */
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible {
	display: block !important;
	visibility: visible !important;
}

/* adjust the toggle icon position and transparency */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle {
	text-align: center;
	opacity: 1;
}

.et_pb_menu .et_mobile_nav_menu {
	margin: 0 !important;  
}

/* submenu toggle icon when closed */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after {
    top: 5px;
    position: relative;
    font-family: "ETModules";
    content: '\33';
    padding: 3px;
    font-size: 18px;
    right: 10px;
}

/* submenu toggle icon when open */
ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after {
	content: '\32';
}

/* add point on top of the menu submenu dropdown */
.et_pb_menu_0.et_pb_menu .et_mobile_menu:after {
	position: absolute;
	right: 5%;
	margin-left: -20px;
	top: -14px;
	width: 0;
	height: 0;
	content: '';
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	border-bottom: 20px solid #ffffff;
}

/* adjust the position of the hamburger menu */
.mobile_menu_bar {
	position: relative;
	display: block;
  top: 0;
  bottom: auto;
	line-height: 0;
}

/* force the background color and add a rounded border */
.et_pb_menu_0.et_pb_menu .et_mobile_menu,
.et_pb_menu_0.et_pb_menu .et_mobile_menu ul {
	background-color: #ffffff!important;
	border-radius: 10px;
}

/* Dropdown */
.et_pb_menu__menu>nav>ul>li>a{
	background: transparent;
	padding-top: 0px !important;
	padding-bottom: 0px !important;
	margin-top: 10px;
	margin-bottom: 10px;
}

.et_pb_menu .et_pb_menu_inner_container,
.et_pb_menu__menu>nav>ul {
	align-items: center !important;	
}

.et_pb_menu__menu>nav>ul>li.menu-item-has-children >a{
	padding-right: 20px !important;
}

.et_pb_menu a {
	cursor: pointer !important;
	background: none !important;
}

.et_pb_menu .sub-menu {
    border-radius: 0px !important;
    width: 320px !important;
}

.et_pb_menu .sub-menu li {
		width: 100% !important;
}

.et_pb_menu .sub-menu li {
	padding-left: 0px !important;
	padding-right: 0px !important;
	border-bottom: 1px solid #4d5058;
}

.et_pb_menu .sub-menu li:last-child {
	border-bottom: 0;
}

.et_pb_menu .sub-menu a {
	padding: 6px 20px;
	line-height: 1.2em !important;
	width: 100% !important;
	font-size: 16px !important;
}

/* Inventory Menu */
.mega-menu img {
    display: block;
    width: 100% !important;
    max-width: 130px !important;
    height: 90px !important;
    object-fit: contain;
    object-position: center;
    margin: 0 auto 10px !important;
    opacity: 1;
    transition: all .3s ease;
	margin-bottom: 10px;
}

html body #menu-main-menu .mega-menu li,
html body #menu-main-menu .mega-menu a {
	width: 100% !important;
}

html body #menu-main-menu .mega-menu>ul.sub-menu {
  width: 100% !important;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  row-gap: 20px;
	pointer-events: none;
	padding: 10px;
	margin-top: -50px !important;
	background: rgba(0,0,0,.85) !important;
}

.et_pb_sticky--top #menu-main-menu .mega-menu>ul.sub-menu {
	margin-top: -20px !important;
}

html body #menu-main-menu .mega-menu:hover>ul.sub-menu  {
	pointer-events: auto;
}

html body #menu-main-menu .mega-menu>ul.sub-menu>li {
  margin-bottom: 0px !important;
	padding: 0!important;
	border: 0 !important;
  
}

html body #menu-main-menu .mega-menu>ul.sub-menu>li>a {
  color: #fff !important;
	text-align: center !important;
	font-size: 14px !important;
	line-height: 1.2em !important;
	padding: 6px 10px !important;
	border: 0 !important;
}

html body #menu-main-menu .mega-menu>ul.sub-menu>li>a:hover {
  color: #27f420 !important;
}


@media (max-width: 980px) {
    .mega-menu img {
        display: none !important;
    }
	
	html body .et-l--header #menu-main-menu .mega-menu>ul.sub-menu>li>a {
		text-align: left !important;
		font-size: 14px !important;
	}
}

@media (min-width: 1440px) and (max-width: 1600px) {
html body #menu-main-menu .mega-menu>ul.sub-menu {
	margin-top: -30px !important;
}		
}

@media (min-width: 980px) and (max-width: 1300px) {
html body #menu-main-menu .mega-menu>ul.sub-menu {
	margin-top: -10px !important;
}
}

/* Sticky Header */
.et-l--header .et_pb_sticky_module {
	transition: all .5s ease !important;
	margin-top: 0 !important;
}

.et_pb_sticky--top .et_pb_menu__logo-wrap {
	max-width:230px !important;
	transition: all .5s ease !important;	
}

.header-blurb * a {
	transition: all .5s ease !important;
}

@media (max-width: 980px) {
	.et_pb_sticky--top .et_pb_menu__logo-wrap {
		max-width:180px !important;
		transition: all .5s ease !important;	
  }
}

/* small laptop */	
@media (min-width: 1440px) and (max-width: 1600px) {
	.et_pb_sticky--top .et_pb_menu li a,
	.et_pb_sticky--top .et_pb_menu .sub-menu a,
	.et_pb_menu li a,
	.et_pb_menu .sub-menu a {
    	font-size: 16px !important;
	}
	
			.et_pb_menu__logo-wrap,
	.et_pb_sticky--top .et_pb_menu__logo-wrap {
		max-width: 320px !important;
		transition: all .5s ease !important;	
  }
}

@media (min-width: 1300px) and (max-width: 1440px) {
		.et_pb_menu__logo-wrap,
	.et_pb_sticky--top .et_pb_menu__logo-wrap {
		max-width: 280px !important;
		transition: all .5s ease !important;	
  }
	
	.et_pb_sticky--top .et_pb_menu li a,
	.et_pb_sticky--top .et_pb_menu .sub-menu a,
	.et_pb_menu li a,
	.et_pb_menu .sub-menu a {
    	font-size: 16px !important;
	}
}

@media (min-width: 980px) and (max-width: 1300px) {
	.et_pb_menu__logo-wrap,
	.et_pb_sticky--top .et_pb_menu__logo-wrap {
		max-width: 180px !important;
		transition: all .5s ease !important;	
  }
	
	.et_pb_menu .et-menu>li {
    padding-left: 5px !important;
    padding-right: 5px !important;
}
	
	.et_pb_sticky--top .et_pb_menu li a,
	.et_pb_sticky--top .et_pb_menu .sub-menu a,
	.et_pb_menu li a,
	.et_pb_menu .sub-menu a {
    	font-size: 12px !important;
	}
}

/* mobile dropdown */
@media (max-width: 980px) {
	body .et_pb_menu--style-left_aligned .et_pb_menu__wrap {
	justify-content: flex-end!important;
  }
}

.et_mobile_menu .current-menu-item a {
	background: transparent;
}

html body .et_mobile_menu,
html body .et_pb_menu .et_mobile_menu ul {
	padding-left: 0 !important;
	padding-right: 0 !important;
}

html body .et_mobile_menu .sub-menu {
	width: 100% !important;
	box-shadow: none !important;
	margin-top: 0px;
}

html body .et_mobile_menu .sub-menu .sub-menu {
	box-shadow: none !important;
	padding: 0 !important;
}

html body .et_mobile_menu li.current-menu-item ul.sub-menu a {
	color: #fff !important;
}

.et_mobile_menu > li,
.et_mobile_menu .sub-menu li {
		border-bottom: 1px solid #4d5058;
}

.et_mobile_menu > li > a {
	padding: 8px 20px!important;
}

.et_mobile_menu .sub-menu a {
	padding: 6px 20px !important;
	font-size: 14px !important;
}

/* humburger text */
.et_mobile_nav_menu::before {
content: 'Menu';
	font-family: 'Archivo Black',Helvetica,Arial,Lucida,sans-serif;
	font-style: italic;
    font-size: 16px;
    letter-spacing: 0px;
    position: inherit;
    color: #fff;
    margin-bottom: -6px;
    text-transform: uppercase;
    font-weight: 700;
}
/* HEADER END */